%define dist el5
%define python python
%{?with_python:%define python %{with_python}}

#%define pyver %(%{python} -c "import sys; print '%s.%s' % sys.version_info[:2]")
%define pyver 2.4
%define release 1.py%{pyver}

%define __os_install_post    \
    /usr/lib/rpm/redhat/brp-compress \
    %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}} \
    /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip} \
    /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump} \
    /usr/lib/rpm/redhat/brp-java-repack-jars \
%{nil}

%define name python-Barcode
%define unmangled_name pyBarcode
%define version 0.5.1
%define unmangled_version 0.5.1

Summary: Create standard barcodes with Python and save them as SVG. No external modules needed.
Name: %{name}
Version: %{version}
Release: %{release}.%{dist}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Thorsten Weimann <thorsten.weimann@gmx.net>
Url: http://bitbucket.org/whitie/pybarcode/
BuildRequires: python-PIL
Requires: python-PIL
Patch0: pyBarcode_writer.patch

%description
pyBarcode
=========

This package provides a simple way to create standard barcodes.
It needs no external packages to be installed, the barcodes are
created as SVG objects. If PIL (Python Imaging Library) is
installed, the barcodes can also be rendered as images (all
formats which are supported by PIL).

%prep
%setup -n %{unmangled_name}-%{unmangled_version}

for name in errors codex base writer ean isxn upc ; do 
sed -i -e ' s!from __future__ import unicode_literals!#from __future__ import unicode_literals!; ' barcode/${name}.py
done

%patch0

sed -i -e " s!COMMENT = 'Autogenerated from pyBarcode {0}'.format(__release__)!COMMENT = 'Autogenerated from pyBarcode %s' % __release__!; " barcode/writer.py 

%build
python setup.py build

%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
